Telegram notification of DynDNS update spoiles IP address
01/06/2024 10:51 AM - Alexei Mezin
Description

pfSense 2.7.x
DynDNS via "Update URL" like http://sync.afraid.org/u/bla-bla-bla

Telegram Notifications enabled
After successful DynDNS update Telegram notification is sent with text like
"HOSTNAME

DynDNS updated IP Address for http:/freedns.afraid.org/dynamic/update.php-BLA-BLA-BLA
on INTERFACE to IP-ADDRESS"

And it appears that Telegram servers eventually check provided URL and reset correct IP with Telegram server address. So it is
essential to hide update URL from notification message!

History

#1 - 03/02/2024 08:58 AM - Lev Prokofev
- File clipboard-202403021255-ifihp.png added
- File clipboard-202403021256-xxszg.png added

Can't replicate it on 24.03
Yandex: Yandex PDD Token.

Update URL https://freedns.afraid.org/dynamic/update.php?

This is the only field required by for Custom Dynamic DNS, and is only used by Custom Entries.
#2 - 03/02/2024 09:05 AM - Alexei Mezin

Is there any patch or recommendation how to fix this problem for 2.7.2-RELEASE? Really annoying thing!

#3 - 03/04/2024 01:25 PM - Jim Pingle

- Status changed from New to Not a Bug

The notification sends the FQDN (hostname) not the URL. Custom dynamic DNS types don't have a hostname field, however, so that should end up
blank. If you have the URL in there it must be misconfigured somehow, maybe you have the update URL set in the wrong field in the GUI, or it was
http://sync.afraid.org/u/bla-bla-bla
http://freedns.afraid.org/dynamic/update.php-BLA-BLA-BLA

set and you switched types and the field is hidden now.

Try switching the config type to some other provider and make sure any hostname/domain fields are empty, then switch back to custom.
